; $Id: amavis.conf,v 1.37 2003/04/08 14:09:56 bengen Exp $

; Configuration file for amavis-ng

[global]

;; Which MTA to use. Specify one.

; mail-transfer-agent = DebugMTA
mail-transfer-agent = Courier
; mail-transfer-agent = Exim
; mail-transfer-agent = EximPerl
; mail-transfer-agent = Postfix
; mail-transfer-agent = Sendmail
; mail-transfer-agent = SMTP
; mail-transfer-agent = Milter
; mail-transfer-agent = Maildrop

;; Which virus scanner to use. Use more than one if you desire

; virus-scanner = FSAV
; virus-scanner = AVP
; virus-scanner = FSP
; virus-scanner = hbEDV
; virus-scanner = Sophos
; virus-scanner = Sophie
; virus-scanner = Bitdefender
; virus-scanner = FPROT
; virus-scanner = MKS
; virus-scanner = NAI
; virus-scanner = NVC
; virus-scanner = Panda
virus-scanner = CLAM
; virus-scanner = CLAMD
; virus-scanner = Trend
; virus-scanner = OpenAntiVirus

;; Extractor modules.
;; "Mail" should definitely be used, it is used for decoding MIME
;; attachments
;;
;; It is not recommended to use the "Text" extractor any more.
;; Convert::UUlib is buggy and most of its work is done by
;; MIME::Parser (which is used by the "Mail" extractor) already.

;; This default setup uses only DFSG-free archivers
; EMR Comentei alguns por n~~ao estarem instalados
; extractors=Mail, GZIP, BZIP2, ARC, Zip, Tar, ZOO, TNEF, ARJ, COMPRESS, ZOO
extractors=Mail, GZIP, BZIP2, Zip, Tar, TNEF, COMPRESS

;; lha, rar, are DFSG-non-free and disabled by default.
; extractors=Mail, GZIP, BZIP2, LHA, ARC, Zip, Tar, ZOO, RAR, TNEF, ARJ, COMPRESS, ZOO

;; Who should be notified?

notifiers=Sender, Recipients, Admin

;; What should be inserted into the message's headers if it is let
;; through? This does not work for the Milter or Courier interfaces.

x-header = true
x-header-tag = X-Scanned-By
x-header-line = AMaViS-ng & ClamAV.

; umask = 002

[MIME]

;; Ignore MIME message extracting errors?

ignore errors = no

;; What to do if such error occues?
;; freeze      - default behaviour, message will be frozen
;; drop+notify - drop message, notify sender

; error action = freeze

[paths]

;; Where should mails be unpacked to?

; unpack dir = /tmp/
unpack dir = /tmp/amavis-ng/

;; Where should infected mail be stored? (Only the actual mail, not
;; the unpacked attachments)

quarantine dir = /var/spool/amavis-ng/quarantine

;; If problems occur, put message into this directory

problem dir = /var/spool/amavis-ng/problems

;; Should the unpacking directory be removed afterwards? Set to 'no'
;; only for debugging purposes

cleanup = yes

[Logging]

;; Use syslog? Facility (e.g. mail|info) or "no"

; syslog = mail|info
; syslog loglevel = 3

;; Log to which file? And atwhat level?

logfile = /var/log/amavis-ng/amavis-ng.log
logfile loglevel = 7

[Notify]

;; Which domains should be considered local? Recipients are notified
;; about mail that was stopped only if they are local. The domain name
;; is matches against this Perl regular expression, case-insensitively

; local domain = .*example\.com
local domain = .*spel-parques\.pt

;; What address will appear in the From:-header of warning messages

mail from = postmaster@spel-parques.pt

;; Who is the mail admin? Comma separated list if multiple admins

admin = postmaster@spel-parques.pt

[Exim]

;; Location and arguments of the binary

; exim = /usr/sbin/exim
; args = -oMr no-scan -i -f

[Courier]

;; Location and arguments of the binary

sendmail = /usr/sbin/sendmail
args =

[Sendmail]

;; Location and arguments of the binary

; sendmail = /usr/sbin/sendmail
; args = -i -C /etc/mail/sendmail.cf.orig -f

[Postfix]

;; Location and arguments of the binary

; postfix = /usr/sbin/sendmail
; args = -i -f

[Qmail]

; qmail-queue = /usr/sbin/qmail-queue

[SMTP]

; input address = localhost
; input port = 10025

; output address = localhost
; output port = 10026

;; SMTP session timeout.
;; unset: accept message immediately
;; =0:    no timeout. Response is sent to client after processing
;; >0:    timeout is set to n seconds. After n seconds, processing
;;        is aborted if it has not been finished.

; session timeout = 240

; pidfile = /var/run/amavis-ng/amavisd.pid

[Milter]

;; Currently, an external C program amavis-milter is needed for Milter
;; support.
;;
;; This is the socket AMaViS will listen on. amavis-milter will
;; connect to this socket if it wants a message to be checked.

; amavis socket = /var/run/amavis-ng/socket.amavis

;; This is the socket amavs-milter will listen on.

; milter socket = /var/run/amavis-ng/socket.milter

;; The path to amavis-milter

; amavis-milter = /usr/sbin/amavis-milter

;; amavis-milter pid file

; amavis-milter pidfile = /var/run/amavis-ng/amavis-milter.pid

;; Debug options for amavis-milter (should not be needed in normal
;; operation)

; amavis-milter debug = 3
; amavis-milter logfile = /var/log/amavis-ng/amavis-milter.log

;; The AMaViS pid file

; pidfile = /var/run/amavis-ng/amavisd.pid
; daemon = yes

;; For sending out messages

; sendmail = /usr/sbin/sendmail
; args = -i -f

[Maildrop]

; sendmail = /usr/sbin/sendmail
; args =

[DebugMTA]

; input file = /dev/stdin
; output file = /dev/stdout

[external]

;; Free (un)compression programs
bzip2 = /usr/bin/bzip2
arj = /usr/bin/arj
nomarch = /usr/bin/nomarch
gzip = /bin/gzip
unzoo = /usr/bin/unzoo

;; lha, unrar are non-free.
; lha = /usr/bin/lha
; unrar = /usr/bin/unrar

;; For arc zoo, unarj, there are free alternatives whcih are enabled
;; above.
; arc = /usr/bin/arc
; zoo = /usr/bin/zoo
; unarj = /usr/bin/unarj

[security]

;; Resource limits for unpacking each message

;; How many levels of unpacking do we do?

maxlevels = 20

;; How many files do we want to write?

maxfiles = 1000

;; How much diskspace do we want to consume?

; maxspace = 30M

;; If amavis is run as UID root, drop root privileges to uid, gid.

; uid = amavis
; gid = amavis
uid = courier
gid = courier

[FSAV]

; fsav = /usr/bin/fsav

[AVP]

; avp = /usr/bin/avp

[Sophos]

; sweep = /usr/bin/sweep

[hbEDV]

; antivir = /usr/bin/antivir

[Sophie]

; socket = /var/run/sophie

[NAI]

; uvscan = /usr/bin/uvscan

[NVC]

; nvc = /usr/bin/nvccmd

[Bitdefender]

; bitdefender = /usr/bin/bdc

[Panda]

; panda = /usr/bin/pavcl

[CLAM]

clamscan = /usr/bin/clamscan

[CLAMD]

; socket = localhost:3310

[FPROT]

; fprot = /usr/bin/f-prot

[Trend]

; vscan = /usr/bin/vscan

[OpenAntiVirus]

; socket = localhost:8127

[NOD32]

; nod32 = /usr/bin/nod32
